const buttonGroup = (theme) => ({
	'.button-group': {
		display: 'flex',
		'.button': {
			borderRadius: 0,
			'&:first-of-type': {
				borderRadius: `${theme('borderRadius.lg')} 0 0 ${theme('borderRadius.lg')}`,
			},
			'&:last-of-type': {
				borderRadius: `0 ${theme('borderRadius.lg')} ${theme('borderRadius.lg')} 0`,
			},
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(buttonGroup(theme));
};

module.exports.buttonGroup = buttonGroup;
